GET /initial-data

GET /initial-data

/initial-data

Request
URI
GET
https://{api_host}/api/initial-data
COPY
Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns InitialData of type(s) application/json
{
    "banner": "string",
    "current_time": "string",
    "email_configuration_is_set": false,
    "error_message": "string",
    "is_aws_cloud": false,
    "setup_failed": false,
    "sso": false,
    "sso_logged_in": false,
    "user_defined_default_password": false,
    "user_initial_setup": false,
    "version": {
        "build": 0,
        "date": "string",
        "min_version": "string",
        "product": "string",
        "product_name": "string",
        "tag": "string",
        "version": "string"
    },
    "welcome_workflow_complete": false
}
string
banner
Optional

Custom login banner text, present only if /var/lib/avi/etc/avi-custom-banner exists. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
current_time
Required  

Current UTC time, ISO 8601. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
email_configuration_is_set
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
error_message
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
is_aws_cloud
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
setup_failed
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
sso
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
sso_logged_in
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
user_defined_default_password
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
user_initial_setup
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
version
Optional

version

boolean
welcome_workflow_complete
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/initial-data